package com.fs.company.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.CompanyVoiceRoboticCallees;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 任务外呼电话Mapper接口
 * 
 * @author fs
 * @date 2024-12-04
 */
public interface CompanyVoiceRoboticCalleesMapper extends BaseMapper<CompanyVoiceRoboticCallees> {
    /**
     * 查询任务外呼电话
     * 
     * @param id 任务外呼电话ID
     * @return 任务外呼电话
     */
    public CompanyVoiceRoboticCallees selectCompanyVoiceRoboticCalleesById(Long id);

    /**
     * 查询任务外呼电话列表
     * 
     * @param companyVoiceRoboticCallees 任务外呼电话
     * @return 任务外呼电话集合
     */
    public List<CompanyVoiceRoboticCallees> selectCompanyVoiceRoboticCalleesList(CompanyVoiceRoboticCallees companyVoiceRoboticCallees);

    /**
     * 新增任务外呼电话
     * 
     * @param companyVoiceRoboticCallees 任务外呼电话
     * @return 结果
     */
    public int insertCompanyVoiceRoboticCallees(CompanyVoiceRoboticCallees companyVoiceRoboticCallees);

    /**
     * 修改任务外呼电话
     * 
     * @param companyVoiceRoboticCallees 任务外呼电话
     * @return 结果
     */
    public int updateCompanyVoiceRoboticCallees(CompanyVoiceRoboticCallees companyVoiceRoboticCallees);

    /**
     * 删除任务外呼电话
     * 
     * @param id 任务外呼电话ID
     * @return 结果
     */
    public int deleteCompanyVoiceRoboticCalleesById(Long id);

    /**
     * 批量删除任务外呼电话
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyVoiceRoboticCalleesByIds(Long[] ids);

    void insertCompanyVoiceRoboticCalleesList(@Param("list") List<CompanyVoiceRoboticCallees> list);

    List<CompanyVoiceRoboticCallees> selectByRoboticId(@Param("id") Long id);

    void deleteByRoboticId(@Param("id") Long id);

    long countByRoboticIdNotUuid(@Param("roboticId") Long roboticId);
}
